#!/usr/bin/env bash
VERSION="1.0.0"

pyrcc5 pics/pics.qrc -o pics/__init__.py
rm kcdemu.zip
zip -r kcdemu.zip ./ -x \*.png \*.ui .hg\* .idea\* build.sh ./packaging/\* \*.pyc \*__pycache__\*
mkdir build
mkdir build/temp

# Debian/Ubuntu
mkdir build/temp/debian
cp -r packaging/debian/* build/temp/debian
mkdir -p build/temp/debian/opt/kcdemu/
cp kcdemu.zip build/temp/debian/opt/kcdemu/
CONTROL=`cat build/temp/debian/DEBIAN/control`
CONTROL=`echo "${CONTROL//%VERSION%/$VERSION}"`
SIZE="$(du -sk --apparent-size build/temp | awk '{print $1}')"
CONTROL=`echo "${CONTROL//%SIZE%/$SIZE}"`
echo "$CONTROL" > build/temp/debian/DEBIAN/control
pushd build/temp
fakeroot dpkg-deb --build debian
popd
mv build/temp/debian.deb build/kcdemu_${VERSION}.deb
# Cleanup
rm -rf build/temp
